<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="operationoccurrence"
    nsURI="http://modelversioning.org/core/operations/occurrence/metamodel/1.0" nsPrefix="operationoccurrence">
  <eClassifiers xsi:type="ecore:EClass" name="OperationOccurrence" eSuperTypes="platform:/plugin/org.eclipse.emf.compare.diff/model/diff.ecore#//DiffElement platform:/plugin/org.eclipse.emf.compare.diff/model/diff.ecore#//AbstractDiffExtension">
    <eStructuralFeatures xsi:type="ecore:EReference" name="preConditionBinding" lowerBound="1"
        eType="ecore:EClass ../../org.modelversioning.core.conditions/models/templateBindings.ecore#//TemplateBindingCollection"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="appliedOperationId" lowerBound="1"
        eType="ecore:EDataType platform:/plugin/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="title" lowerBound="1" eType="ecore:EDataType platform:/plugin/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="appliedOperationName" lowerBound="1"
        eType="ecore:EDataType platform:/plugin/org.eclipse.emf.ecore/model/Ecore.ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="appliedOperation" eType="ecore:EClass ../../org.modelversioning.operations/models/operations.ecore#//OperationSpecification"
        transient="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="postConditionBinding" lowerBound="1"
        eType="ecore:EClass ../../org.modelversioning.core.conditions/models/templateBindings.ecore#//TemplateBindingCollection"
        containment="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="hiddenChanges" upperBound="-1"
        eType="ecore:EClass platform:/plugin/org.eclipse.emf.compare.diff/model/diff.ecore#//DiffElement"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="orderHint" lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt" defaultValueLiteral="1"/>
  </eClassifiers>
</ecore:EPackage>
